View Issue Details

IDProjectCategoryView StatusLast Update
0004394SymmetricDSBugpublic2020-06-04 13:55
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.12Fixed in Version3.10.12 
Summary0004394: Extract statistics can be overwritten and inaccurate
DescriptionThe outgoing batch extract row counts and millis are sometimes overwritten and recorded on the wrong batch. Especially on a slow system, the outgoing batch is re-queried from the database, which loses the statistics it had gathered. When extracting multiple batches, the wrong batch is accessed from a map of batch statistics, recording stats to the wrong batch.
Tagsextract, statistics

Relationships

related to 0004395 closedelong Extract statistics can be overwritten and inaccurate 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 55465cec

2020-05-12 10:59:02

admin

Details Diff
0004394: Extract statistics can be overwritten and inaccurrate
0004394
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2020-05-12 10:54 elong New Issue
2020-05-12 10:54 elong Status new => assigned
2020-05-12 10:54 elong Assigned To => elong
2020-05-12 10:54 elong Tag Attached: extract
2020-05-12 10:54 elong Tag Attached: statistics
2020-05-12 11:01 elong Status assigned => resolved
2020-05-12 11:01 elong Resolution open => fixed
2020-05-12 11:01 elong Fixed in Version => 3.10.12
2020-05-12 11:01 elong Issue cloned: 0004395
2020-05-12 11:01 elong Relationship added related to 0004395
2020-05-12 11:06 elong Project SymmetricDS Pro => SymmetricDS
2020-05-12 11:31 elong Summary Extract statistics can be overwritten and inaccurrate => Extract statistics can be overwritten and inaccurate
2020-05-26 12:36 elong Status resolved => closed
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.10 55465cec